org.eclipse.viatra.query.runtime.rete.recipes

## Interface SingleParentNodeRecipe

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ReteNodeRecipe
  All Known Subinterfaces:
    AggregatorIndexerRecipe, AlphaRecipe, CheckRecipe, DiscriminatorBucketRecipe, DiscriminatorDispatcherRecipe, EqualityFilterRecipe, EvalRecipe, ExpressionEnforcerRecipe, FilterRecipe, IndexerRecipe, InequalityFilterRecipe, InputFilterRecipe, ProjectionIndexerRecipe, SingleColumnAggregatorRecipe, TransitiveClosureRecipe, TransparentRecipe, TrimmerRecipe
  All Known Implementing Classes:
    AggregatorIndexerRecipeImpl, AlphaRecipeImpl, CheckRecipeImpl, DiscriminatorBucketRecipeImpl, DiscriminatorDispatcherRecipeImpl, EqualityFilterRecipeImpl, EvalRecipeImpl, ExpressionEnforcerRecipeImpl, FilterRecipeImpl, IndexerRecipeImpl, InequalityFilterRecipeImpl, InputFilterRecipeImpl, ProjectionIndexerRecipeImpl, SingleColumnAggregatorRecipeImpl, SingleParentNodeRecipeImpl, TransitiveClosureRecipeImpl, TransparentRecipeImpl, TrimmerRecipeImpl

      public interface SingleParentNodeRecipe
      extends ReteNodeRecipe

  A representation of the model object 'Single Parent Node Recipe'. Abstract base class for single-parent node recipes.

  The following features are supported:

  - `Parent`
  See Also:
    `RecipesPackage.getSingleParentNodeRecipe()`
  Generated:
  Model:
    abstract="true"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReteNodeRecipe` | `getParent()` Returns the value of the 'Parent' reference.
    `void` | `setParent(ReteNodeRecipe value)` Sets the value of the '`Parent`' reference.

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.ReteNodeRecipe

      `getArity, getEquivalenceClassIDs, getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

  - ### Method Detail

    - #### getParent

          ReteNodeRecipe getParent()

      Returns the value of the 'Parent' reference.
      Returns:
        the value of the 'Parent' reference.
      See Also:
        `setParent(ReteNodeRecipe)`, `RecipesPackage.getSingleParentNodeRecipe_Parent()`
      Generated:
      Model:

    - #### setParent

          void setParent(ReteNodeRecipe value)

      Sets the value of the '`Parent`' reference.
      Parameters:
        `value` - the new value of the 'Parent' reference.
      See Also:
        `getParent()`
      Generated: